Update a business unit Run in API Explorer
Ask AI
PUT
/api/v1/business-units/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/business-units/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "64e98b5d-371e-4415-99e8-b8dad1785969",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"members": [
{
"uuid": "bbe6bf96-d087-4099-a24c-61d953bd9a17",
"created_at": "2026-07-24T22:24:12+01:00",
"updated_at": "2026-07-24T22:24:12+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "734b9c8c-296f-4f78-a1da-96caa6f30b71",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "61c23ce8-3b52-4e7e-b9c0-1682991b5b5c",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "61c23ce8-3b52-4e7e-b9c0-1682991b5b5c",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "9d5a7244-2951-47ca-97fa-8e1f9a9000e8",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-24T21:34:18+01:00",
"end_date": "2026-07-24T22:02:18+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "a595b047-1881-4130-81eb-1e62585ba389",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-24T22:24:18+01:00",
"next_review_date": "2026-07-24T22:24:18+01:00",
"previous_review_date": "2026-07-24T22:24:18+01:00",
"anniversary_review_date": "2026-07-24T22:24:18+01:00",
"terms_of_business_at": "2026-07-24T22:24:18+01:00",
"client_agreement_at": "2026-07-24T22:24:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:18",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "a595b047-1881-4130-81eb-1e62585ba389",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-24T22:24:18+01:00",
"next_review_date": "2026-07-24T22:24:18+01:00",
"previous_review_date": "2026-07-24T22:24:18+01:00",
"anniversary_review_date": "2026-07-24T22:24:18+01:00",
"terms_of_business_at": "2026-07-24T22:24:18+01:00",
"client_agreement_at": "2026-07-24T22:24:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:18",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "a595b047-1881-4130-81eb-1e62585ba389",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-24T22:24:18+01:00",
"next_review_date": "2026-07-24T22:24:18+01:00",
"previous_review_date": "2026-07-24T22:24:18+01:00",
"anniversary_review_date": "2026-07-24T22:24:18+01:00",
"terms_of_business_at": "2026-07-24T22:24:18+01:00",
"client_agreement_at": "2026-07-24T22:24:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:18",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "a595b047-1881-4130-81eb-1e62585ba389",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-24T22:24:18+01:00",
"next_review_date": "2026-07-24T22:24:18+01:00",
"previous_review_date": "2026-07-24T22:24:18+01:00",
"anniversary_review_date": "2026-07-24T22:24:18+01:00",
"terms_of_business_at": "2026-07-24T22:24:18+01:00",
"client_agreement_at": "2026-07-24T22:24:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:18",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "6c7e7a62-1123-4ffb-adcd-975babf6de5a",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00"
},
"tags": {
"uuid": "ddda468f-5ffb-4331-83e7-d1cd352b7bb0",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "a595b047-1881-4130-81eb-1e62585ba389",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-24T22:24:18+01:00",
"next_review_date": "2026-07-24T22:24:18+01:00",
"previous_review_date": "2026-07-24T22:24:18+01:00",
"anniversary_review_date": "2026-07-24T22:24:18+01:00",
"terms_of_business_at": "2026-07-24T22:24:18+01:00",
"client_agreement_at": "2026-07-24T22:24:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:18",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-24T22:24:12+01:00",
"next_review_date": "2026-07-24T22:24:12+01:00",
"previous_review_date": "2026-07-24T22:24:12+01:00",
"anniversary_review_date": "2026-07-24T22:24:12+01:00",
"terms_of_business_at": "2026-07-24T22:24:12+01:00",
"client_agreement_at": "2026-07-24T22:24:12+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "fe1ead16-97c8-4724-952b-1dbe40a375f5",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-24T22:24:18+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "b67e4481-8cc9-4702-a135-937419eec15c",
"login_access_level": "write",
"current_life_stage_uuid": "7e2ea357-abf0-41af-a38b-3d85353dfcbd"
},
"circles": {
"uuid": "fe1ead16-97c8-4724-952b-1dbe40a375f5",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-24T22:24:18+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "b67e4481-8cc9-4702-a135-937419eec15c",
"login_access_level": "write",
"current_life_stage_uuid": "7e2ea357-abf0-41af-a38b-3d85353dfcbd"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-24",
"last_interaction_at": "2026-07-24 22:24:12",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "70997c28-9b11-4c69-9a7a-d92983bdeb9c",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"groups_count": 2,
"groups": [
{
"uuid": "a3f61578-32eb-4bb0-9dcb-88a8e93def24",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "a1252b6f-11b8-4fcd-9a79-1a9cd0d39269",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-24T22:24:12+01:00",
"updated_at": "2026-07-24T22:24:12+01:00"
}
],
"firm": {
"uuid": "1aab952f-794e-4841-b9ea-8db3fd0c82bf",
"created_at": "2026-07-24T22:24:12+01:00",
"updated_at": "2026-07-24T22:24:12+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "c41eb7ae-0198-4c09-bbf2-9dc6b50d375f",
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"enabled": "true",
"trial_ends_at": "2026-08-07",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-08-11"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-07-24T22:24:18+01:00",
"updated_at": "2026-07-24T22:24:18+01:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"created_at": "2026-07-24T22:24:12+01:00",
"updated_at": "2026-07-24T22:24:12+01:00"
}